# Makefile for SPS (Vax 4.3BSD Version)

PROG    =       sps
OBJS    =       filecount.o findtty.o flagdecode.o flagsetup.o \
		getcmd.o getupage.o globals1.o globals2.o hashuid.o \
		initialise.o initsymbols.o inittty.o main.o mktree.o \
		needed.o openfiles.o percentmem.o prcmd.o prcpu.o \
		prheader.o printall.o printproc.o prsummary.o readstatus.o \
		selectproc.o selecttty.o termwidth.o ttystatus.o waitingfor.o
INCS    =       sps.h
CC      =       cc
CFLAGS  =       -DBSD42 -DBSD43 -I/sys
LIBS    =       -ltermlib
DIRINSTALL =	/bin

all:		    $(PROG)
.c.o:
		$(CC) $(CFLAGS) -c -O -R $<
	
globals1.o waitingfor.o:
		$(CC) $(CFLAGS) -c -O $<

$(OBJS):		$(INCS)

$(PROG):		$(OBJS)
		$(CC) -o $@ $(OBJS) $(LIBS)

install:		$(PROG)
		strip $(PROG)
		mv $(PROG) $(DIRINSTALL)/$(PROG)
		/etc/chown root $(DIRINSTALL)/$(PROG)
		chgrp kmem $(DIRINSTALL)/$(PROG)
		chmod 2755 $(DIRINSTALL)/$(PROG)

lint:
		lint -x -b $(CFLAGS) *.c
clean:
		rm -f $(OBJS) $(PROG)
